Subject: Re: ntxlib works on Windows 95
From: [email-masked] (Chuck Bogorad)

3 Jan 1998 08:11:23 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "gnu-win32" <[email-masked]>

>> >Did you ever think about merging of libX11 and ntxlib? I.e. if
environment
>> >variable DISPLAY is not set, call ntxlib's gdi calls wrappers, and call
X11
>> >code otherwise?
>> Hey, what a great idea.  All I have to do is download
>> the X11 files, throw in xnt.h and ntxlib.c, run an
>> overall make on all .c files, and play with the linker
>> error messages.  As a zeroeth approximation.
>I also agree that merging ntxlib into X11 is a great idea. However, there
is
>something to be said about keeping a vanilla ntxlib which carries none of
the
>X11 overhead. Having the 2 configurations would be ideal.

i'd suggest making 2 separate .dll's - one for X11 lib, another one for
ntxlib. the program should load the one it needs. this way programs get
smaller and updating the library gets easier.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".